using UnityEngine;

namespace VertexColor.ScenePartition.Editor
{
    [CreateAssetMenu(fileName = "Scene", menuName = "Max/ScenePartitionDataSO")]
    public class ScenePartitionDataSO : ScriptableObject
    {
        public bool HasCreatedPartitions => ScenePartitions != null && ScenePartitions.Count > 0;
        public ScenePartitionSortedList ScenePartitions = new ScenePartitionSortedList();

        public bool HasLoadedPartitions => LoadedScenePartitions != null && LoadedScenePartitions.Count > 0;
        public ScenePartitionSortedList LoadedScenePartitions = new ScenePartitionSortedList();

        public SceneGrid SceneGrid = new SceneGrid();
    }
}